<?php

/* ============================================== */
/* http://adrian.gaudebert.fr/turing/
/*
/* Link : app/actions/turing.php
/* Author : Grégory Barbier, Adrian Gaudebert - adrian@gaudebert.fr
/* Creation date : 15/05/2009
/* Last modification : 15/05/2009
/*
/* Description : 
/* * Traitement des tests de la machine entrée
/* 
/* ============================================== */

// Si les règles ne sont pas entrées, on ne doit pas pouvoir accéder à cette page
if (!isSet($_SESSION['rules']))
{
    header('location: ' . Atomik::url(''));
}
else
{
    Atomik::needed('Turing');

    // Récupération des règles
    $rules = unserialize($_SESSION['rules']);

    // On vérifie que les règles sont bien valides
    if (!$rules->valide)
    {
        // Si les règles ne sont pas valides, on retourne à l'accueil
        header('location: ' . Atomik::url(''));
    }
    else
    {
        // Si l'utilisateur envoie un bandeau à tester
        if (isSet($_POST['input']))
        {
            // Récupération du bandeau
            $word = htmlentities($_POST['input']);
            
            // Création de l'objet gérant le bandeau
            $input = new Input();
            $input->SetInput($word . $rules->whiteSpace . $rules->whiteSpace);
            
            // Création de l'objet gérant la machine de Turing
            $turing = new Turing();
            $turing->SetRules($rules);
            $turing->SetInput($input);
            
            // Lancement du test, et récupération de la valeur pour l'affichage
            $valideInput = $turing->Run();
        }
    }
}

?>
