<?php

/**
* class Input
* Gère un bandeau de test pour les machines de Turing
* @author Grégory Barbier & Adrian Gaudebert - adrian@gaudebert.fr
*/
class Input
{
    private $cursor = 0;
    private $input = '';
    
    /**
    * Déplace le curseur pointant sur la lettre courante
    * @param $dir "D" (droite) ou "G" (gauche)
    */
    public function Move($dir)
    {
        if ($dir == 'D')
        {
            $this->cursor++;
            
            if ($this->cursor > strlen($this->input))
            {
                throw new Exception('Class Input : cursor can\'t be greater than input\'s size. ');
            }
        }
        else if ($dir == 'G')
        {
            $this->cursor--;
            
            if ($this->cursor < 0)
            {
                throw new Exception('Class Input : cursor can\'t be negative. ');
            }
        }
    }
    
    /**
    * Change la valeur du bandeau
    */
    public function SetInput($input)
    {
        $this->input = $input;
    }
    
    /**
    * Renvoie la valeur du bandeau
    */
    public function GetInput()
    {
        return $this->input;
    }
    
    /**
    * Récupère la lettre courante
    */
    public function GetCurrent()
    {
        return $this->input[$this->cursor];
    }
    
    /**
    * Modifie la lettre courante
    */
    public function SetCurrent($input)
    {
        $this->input[$this->cursor] = $input;
    }
}

?>
